Package de.dfki.lt.freetts.mbrola

# Class MbrolaCaller

java.lang.Object
de.dfki.lt.freetts.mbrola.MbrolaCaller

All Implemented Interfaces:
  `UtteranceProcessor`

public class MbrolaCaller extends Object implements UtteranceProcessor
Calls external MBROLA binary to synthesise the utterance.

## Constructor Summary

Constructors
Constructor
Description
`MbrolaCaller(String[] cmd)`
Create an Mbrola caller which will call an external MBROLA binary using the command `cmd`.

## Method Summary

Modifier and Type
Method
Description
`void`
`processUtterance(Utterance utterance)`
Call external MBROLA binary to synthesize the utterance.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MbrolaCaller

public MbrolaCaller(String[] cmd)
Create an Mbrola caller which will call an external MBROLA binary using the command `cmd`. The command string is used as it is, which means that it must contain full path specifications and the correct file separators.

## Method Details

### processUtterance

public void processUtterance(Utterance utterance) throws ProcessException
Call external MBROLA binary to synthesize the utterance.

Specified by:
  `processUtterance` in interface `UtteranceProcessor`
Parameters:
  `utterance` - the utterance to process
Throws:
  `ProcessException` - if an error occurs while processing of the utterance

### toString

public String toString()

Overrides:
  `toString` in class `Object`